foolscap (24.9.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 24.9.0
  * Remove dependency on python3-mock
  * Use dh-sequence-python3
  * All old patches were applied upstream

 -- Alexandre Detiste <tchet@debian.org>  Fri, 20 Sep 2024 08:04:04 +0200

foolscap (23.11.0-2) unstable; urgency=medium

  * Team upload.
  * Declare allow-stderr for the autopkgtest.
  * Run the build time tests with trial.
  * Replace the deletions in debian/rules with pyremove.

 -- Stefano Rivera <stefanor@debian.org>  Wed, 27 Dec 2023 07:23:12 -0400

foolscap (23.11.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
    - Supports Python 3.12 (Closes: #1058215)
  * Refresh patches.
  * Drop patch 0004-Use-getfullargspec-for-Python-3.patch, superseded
    upstream.
  * Build-Depend on python3-txi2p-tahoe and drop 2001-drop-i2p-tests.patch.
  * Bump watch file version to 4.
  * Declare Rules-Requires-Root: no.
  * Bump Standards-Version to 4.6.2, no changes needed.
  * Run the autopkgtest on all supported python 3 versions, outside the source
    tree, with trial.

 -- Stefano Rivera <stefanor@debian.org>  Tue, 26 Dec 2023 09:46:11 -0400

foolscap (21.7.0-4) unstable; urgency=medium

  * Team upload.
  * Patch: Python 3.11 support. (Closes: #1026603)

 -- Stefano Rivera <stefanor@debian.org>  Thu, 19 Jan 2023 14:33:54 -0400

foolscap (21.7.0-3) unstable; urgency=medium

  * Team upload.
  * No-changes source-only upload.

 -- Andrius Merkys <merkys@debian.org>  Mon, 13 Jun 2022 02:29:23 -0400

foolscap (21.7.0-2) unstable; urgency=medium

  * Team upload.
  * Adjust license name, move to separate paragraph.
  * Add copyright entry for debian/*.
  * Add debian/copyright entry for versioneer.py.

 -- Andrius Merkys <merkys@debian.org>  Fri, 10 Jun 2022 06:20:56 -0400

foolscap (21.7.0-1) unstable; urgency=medium

  * Team upload.

  [ Ondřej Nový ]
  * d/control: Remove ancient X-Python-Version field.
  * Use debhelper-compat instead of debian/compat.
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.
  * d/control: Remove ancient X-Python-Version field
  * Use debhelper-compat instead of debian/compat
  * d/control: Update Maintainer field with new Debian Python Team contact
    address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa layout

  [ Vasudev Kamath ]
  * Update watch file with correct upstream URL for download.
  * New upstream version 21.7.0
  * Drop twisted-18.7-compat.patch which is merged upstream.
  * Drop skip-broken-test.patch which is merged upstream.
  * Introduce patch 2001 to disable i2p tests.
  * Update docs file
  * Use pybuild instead of python_distutils which is deprecated.
  * Bump debhelper-compat to 13 and move to Build-Depends field.
  * Update existing Build-Depends-Indep to use python3.
  * Rename package to python3-foolscap and adjust remaining fields.
  * Remove old cruft from rules file.
  * Changelog file changed from NEWS to NEWS.md.
  * Add myself as uploader for the package.
  * Introduce patch 1001 to clean up test created files.
  * Reintroduce the foolscap to Debian.
    Closes: bug#995289
  * Update autopkgtest control file to use python3 dependencies.
  * Update debian/tests/unittests to work with python3.

  [ Andrius Merkys ]
  * Modernize autopkgtest.
  * Update certificates via patch.
  * Adjust cleaning rules.
  * Remove unneeded files from Python package.
  * Mark up test dependencies.
  * Wrap and sort.

 -- Andrius Merkys <merkys@debian.org>  Mon, 30 May 2022 08:07:52 -0400

foolscap (0.13.1-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org
  * d/copyright: Use https protocol in Format field
  * d/changelog: Remove trailing whitespaces
  * d/tests: Use AUTOPKGTEST_TMP instead of ADTTMP
  * Convert git repository from git-dpm to gbp layout

  [ Julian Taylor ]
  * skip-broken-test.patch: skip a probably broken test
  * twisted-18.7-compat.patch: adapt test to new twisted output
    Thanks to Balint Reczey for the patches, Closes: #906215
  * Remove the optional dependency on txtorcon as it does not provide a
    python2 package anymore, Closes: #911271

 -- Ondřej Nový <onovy@debian.org>  Tue, 13 Feb 2018 10:16:15 +0100

foolscap (0.13.1-1) unstable; urgency=medium

  * New upstream release

 -- Julian Taylor <jtaylor.debian@googlemail.com>  Sun, 07 Jan 2018 19:46:11 +0100

foolscap (0.13.0-1) unstable; urgency=medium

  [ Edward Betts ]
  * fix spelling mistake in man pages

  [ Julian Taylor ]
  * New upstream release (Closes: #877206)
  * bump standard to 4.1.1, no changes required
  * update debian/watch url to https

 -- Julian Taylor <jtaylor.debian@googlemail.com>  Mon, 20 Nov 2017 20:50:29 +0100

foolscap (0.12.6-1) unstable; urgency=medium

  * New upstream release

 -- Julian Taylor <jtaylor.debian@googlemail.com>  Wed, 18 Jan 2017 02:06:03 +0100

foolscap (0.12.5-1) unstable; urgency=medium

  * New upstream release
  * add new build dependencies and suggests python-mock, python-txsocksx, and
    python-txtorcon for tests
  * 0001-disable-i2p-tests.patch: disable i2p test due to unavailable txi2p
  * bump twisted build-dependency to >= 16.0.0

 -- Julian Taylor <jtaylor.debian@googlemail.com>  Fri, 23 Dec 2016 15:39:50 +0100

foolscap (0.12.0-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * Fixed VCS URL (https)

  [ Julian Taylor ]
  * New ustream release (Closes: #830555)
  * debian/rules: update to test module after install target

 -- Julian Taylor <jtaylor.debian@googlemail.com>  Thu, 21 Jul 2016 19:16:05 +0200

foolscap (0.10.1-2) unstable; urgency=medium

  * drop twisted dependency minimization patch, dropped in twisted package
    - depend on python-twisted (Closes: #811392)
  * add adt-test for pkg_resources.require("foolscap")
  * bump standard to 3.9.7, no changes required

 -- Julian Taylor <jtaylor.debian@googlemail.com>  Tue, 02 Feb 2016 16:21:44 +0100

foolscap (0.10.1-1) unstable; urgency=medium

  * New upstream release (Closes: #795848, #808797)
  * bump to debhelper version 9

 -- Julian Taylor <jtaylor.debian@googlemail.com>  Sat, 23 Jan 2016 20:37:32 +0100

foolscap (0.8.0-1) unstable; urgency=medium

  * New upstream release
  * cleanup debian/copyright
  * bump standard to 3.9.6, no changes required

 -- Julian Taylor <jtaylor.debian@googlemail.com>  Thu, 02 Jul 2015 22:43:14 +0200

foolscap (0.6.5-1) unstable; urgency=medium

  * New upstream release
  * remove upstream applied
    - promise.py-make-compatible-with-Twisted-14.0.0.patch
    - twisted-13-compat.patch

 -- Julian Taylor <jtaylor.debian@googlemail.com>  Wed, 27 Aug 2014 20:07:55 +0200

foolscap (0.6.4-3) unstable; urgency=medium

  * promise.py-make-compatible-with-Twisted-14.0.0.patch:
    restore compatibility with twisted (Closes: #755339)

 -- Julian Taylor <jtaylor.debian@googlemail.com>  Wed, 30 Jul 2014 22:47:24 +0200

foolscap (0.6.4-2) unstable; urgency=low

  [ Julian Taylor ]
  * add autopkgtests
  * twisted-13-compat.patch: fix broken test with twisted 13 (Closes:#735788)
  * bump standard to 3.9.5, no changes required

  [ Jakub Wilk ]
  * Use canonical URIs for Vcs-* fields.

 -- Julian Taylor <jtaylor.debian@googlemail.com>  Sat, 18 Jan 2014 17:09:16 +0100

foolscap (0.6.4-1) unstable; urgency=low

  * New upstream release (Closes: #678096)
  * refresh patch
  * debian/rules: remove egg folder in clean
    allows building twice in a row (Closes: #671098)
  * bump standard to 3.9.3, no changes required
  * debian/copyright: update format url

 -- Julian Taylor <jtaylor.debian@googlemail.com>  Tue, 19 Jun 2012 21:13:30 +0200

foolscap (0.6.3-1) unstable; urgency=low

  * New upstream release
  * debian/flappclient.1: escape minus signs in manpage

 -- Julian Taylor <jtaylor.debian@googlemail.com>  Sun, 08 Jan 2012 19:09:11 +0100

foolscap (0.6.2-1) unstable; urgency=low

  * New upstream release
    - drop upstream applied fix-testsuite-openssl1.0.0.patch
  * do not compress xhtml files

 -- Julian Taylor <jtaylor.debian@googlemail.com>  Sun, 30 Oct 2011 18:37:14 +0100

foolscap (0.6.1-5) unstable; urgency=low

  * fix dep-5 format error in copyright
  * patch setup.py to generate minimal twisted dependencies in the egg
    - removes need for pydist-override and depends in debian/control
  * patch testsuite for openssl 1.0.0 certificate pem format (Closes: #634148)

 -- Julian Taylor <jtaylor.debian@googlemail.com>  Mon, 25 Jul 2011 13:10:46 +0200

foolscap (0.6.1-4) unstable; urgency=low

  * add python-zope.interface to build dep
    - needed for testsuite, was indirect over twisted-core before
  * add pydist-override: twisted -> python-twisted-core
  * remove recommend of python-twisted-names, not needed
  * fix upgrade from 0.6.1-1 by using preinst to remove the old egg symlink

 -- Julian Taylor <jtaylor.debian@googlemail.com>  Fri, 20 May 2011 16:26:59 +0200

foolscap (0.6.1-3) unstable; urgency=low

  * Standards-version bumped to 3.9.2 (no changes needed)
  * wrap-and-sort debian/
  * remove ${python:Breaks}
  * add python-setuptools to b-d again
    was dropped in 0.6.1-1 by accident (LP: #782414)

 -- Julian Taylor <jtaylor.debian@googlemail.com>  Fri, 08 Apr 2011 00:30:12 +0200

foolscap (0.6.1-1) unstable; urgency=low

  [ Julian Taylor ]
  * New upstream release (Closes: #591384)
  * updated copyright to DEP5
  * no repackaging anymore
    - the previously removed source is BSD licensed so it is not required
  * change to debhelper compat 7, depend on 7.0.50~
  * use dh --with python2 in debian/rules
    - remove XB-Python-Version from debian/control
    - includes executing of testsuite
    - remove obsolete preinst
    - Closes: #596909
  * change do source format 3.0 (quilt)
  * Bumped Standards-Version to 3.9.1, no further changes needed

 -- Julian Taylor <jtaylor.debian@googlemail.com>  Tue, 01 Mar 2011 23:42:14 +0100

foolscap (0.5.0+dfsg-1) unstable; urgency=low

  [ Elliot Murphy ]
  * New upstream release (Closes: #567145)
  * Depend on python-zope.interface now
  * Added misc-depends.
  * Added man page for flappclient.

 -- Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>  Thu, 28 Jan 2010 15:56:46 -0500

foolscap (0.4.2+dfsg-1) unstable; urgency=low

  [ Stephan Peijnik ]
  * New upstream release (0.4.0)
  * Switched to python-support
  * Bumped Standards-Version to 3.8.1, no changes needed
  * Documentation should not end up in /usr/share/python-foolscap anymore, but
    /usr/share/python-foolscap/doc now.
  * Added dependency on python-all (>= 2.5.4-1~).
  * Using py_libdir in debian/rules now.
  * Not using hardcoded python2.5 in debian/rules anymore.

  [ Piotr Ożarowski ]
  * New upstream release (0.4.2) (Closes: #542876)
  * Bumped Standards-Version to 3.8.3, no changes needed

 -- Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>  Thu, 27 Aug 2009 00:03:29 +0200

foolscap (0.3.2.dfsg-2) unstable; urgency=low

  * Fixed missing build dependency on python-setuptools (Closes: #510901).

 -- Stephan Peijnik <debian@sp.or.at>  Wed, 07 Jan 2009 00:04:08 +0100

foolscap (0.3.2.dfsg-1) unstable; urgency=low

  * Initial release (Closes: #499699)
  * Remove misc/testutils directory from source tarball in get-orig-sources.

 -- Stephan Peijnik <debian@sp.or.at>  Wed, 10 Dec 2008 00:33:43 +0100
